JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Primes Class Reference
juce_cryptography » encryption

Prime number creation class. More...

`#include <juce_Primes.h>`

## Static Public Member Functions
static BigInteger | createProbablePrime (int bitLength, int certainty, const int *randomSeeds=nullptr, int numRandomSeeds=0)
| Creates a random prime number with a given bit-length.
static bool | isProbablyPrime (const BigInteger &number, int certainty)
| Tests a number to see if it's prime.

## Detailed Description

Prime number creation class.

This class contains static methods for generating and testing prime numbers.

See also
  BigInteger

## Member Function Documentation

## ◆ createProbablePrime()

static BigInteger Primes::createProbablePrime | ( | int | bitLength,
|  | int | certainty,
|  | const int * | randomSeeds = nullptr,
|  | int | numRandomSeeds = 0 )
| static

Creates a random prime number with a given bit-length.

The certainty parameter specifies how many iterations to use when testing for primality. A safe value might be anything over about 20-30.

The randomSeeds parameter lets you optionally pass it a set of values with which to seed the random number generation, improving the security of the keys generated.

## ◆ isProbablyPrime()

static bool Primes::isProbablyPrime | ( | const BigInteger & | number,
|  | int | certainty )
| static

Tests a number to see if it's prime.

This isn't a bulletproof test, it uses a Miller-Rabin test to determine whether the number is prime.

The certainty parameter specifies how many iterations to use when testing - a safe value might be anything over about 20-30.

The documentation for this class was generated from the following file:

- juce_Primes.h